Package org.springframework.batch.core.job.builder

# Class JobBuilderHelper.CommonJobProperties

java.lang.Object
org.springframework.batch.core.job.builder.JobBuilderHelper.CommonJobProperties

Enclosing class:
  JobBuilderHelper<B extends JobBuilderHelper<B>>

public static class JobBuilderHelper.CommonJobProperties extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommonJobProperties()`
  `CommonJobProperties(JobBuilderHelper.CommonJobProperties properties)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addJobExecutionListener(JobExecutionListener jobExecutionListener)`
  `void`
  `addStepExecutionListeners(List<JobExecutionListener> jobExecutionListeners)`
  `List<JobExecutionListener>`
  `getJobExecutionListeners()`
  `JobParametersIncrementer`
  `getJobParametersIncrementer()`
  `JobParametersValidator`
  `getJobParametersValidator()`
  `JobRepository`
  `getJobRepository()`
  `String`
  `getName()`
  `boolean`
  `getRestartable()`
  `void`
  `setJobParametersIncrementer(JobParametersIncrementer jobParametersIncrementer)`
  `void`
  `setJobParametersValidator(JobParametersValidator jobParametersValidator)`
  `void`
  `setJobRepository(JobRepository jobRepository)`
  `void`
  `setName(String name)`
  `void`
  `setRestartable(boolean restartable)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CommonJobProperties

    public CommonJobProperties()

  - ### CommonJobProperties

    public CommonJobProperties(JobBuilderHelper.CommonJobProperties properties)

- ## Method Details

  - ### getJobParametersIncrementer

    public JobParametersIncrementer getJobParametersIncrementer()

  - ### setJobParametersIncrementer

    public void setJobParametersIncrementer(JobParametersIncrementer jobParametersIncrementer)

  - ### getJobParametersValidator

    public JobParametersValidator getJobParametersValidator()

  - ### setJobParametersValidator

    public void setJobParametersValidator(JobParametersValidator jobParametersValidator)

  - ### getJobRepository

    public JobRepository getJobRepository()

  - ### setJobRepository

    public void setJobRepository(JobRepository jobRepository)

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getJobExecutionListeners

    public List<JobExecutionListener> getJobExecutionListeners()

  - ### addStepExecutionListeners

    public void addStepExecutionListeners(List<JobExecutionListener> jobExecutionListeners)

  - ### addJobExecutionListener

    public void addJobExecutionListener(JobExecutionListener jobExecutionListener)

  - ### getRestartable

    public boolean getRestartable()

  - ### setRestartable

    public void setRestartable(boolean restartable)